« ASTRO-EII/M-V-6、打上成功、X線天文衛星「すざく」命名 | トップページ | 富士通より、企業向け?ネット巡回ソフト »

2005年7月11日 (月)

7月28日以降JCE 1.2.1の一部機能が正常に動作しなくなる

 IPAから注意喚起されています。JavaのライブラリーJCE1.2.1の一部機能が正常に動作しなくなる可能性があるそうです。
 JCE1.2.1は Java 用の暗号拡張機能パッケージでJava2 SDK 1.2.x 1.3.xにて利用されます。JDK 1.4以降では影響がありません。

 ユーザとしては、各ソフトメーカのアップデート情報を調査するぐらいしか対策はなさそう。。JCEを使っていることをどうやって調べられるのかなぁ。。?

 JCE1.2.1を使用している対象ツールについてはIPAのサイトで公開されるそうです。
今のところ、APCのUPS制御ソフト、ンフォテリアのシステム連携プラットフォームのASTERIA R2が対象ツールとしてメーカからパッチが提供されています。
■追記
 数年前、JCEを利用したプログラムを書いたことがあるけど、バージョンなんだっけ?職場が変わったので(機密保持の都合上)資料が手元にないし・・
まぁ、機能検証が目的だったし、今も使われているはずがないと思いますが。。もし何とかしてと言われても思い出すところから始めないと行けないからなぁ。
●関連記事
「7月28日以降,一部のソフトウエア製品が正常に動作しなくなる」――IPAなどが警告(2005/07/08)(nikkeibp ITPro)
Java暗号処理モジュールの「7月28日問題」に警告(2005/07/09 02:30)(ITmedia エンタープライズ)
●関連URL
JCE 1.2.1 の証明書期限切れに関する注意喚起(2005年 7月 8日)(IPA)

|

« ASTRO-EII/M-V-6、打上成功、X線天文衛星「すざく」命名 | トップページ | 富士通より、企業向け?ネット巡回ソフト »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/1129/4921322

この記事へのトラックバック一覧です: 7月28日以降JCE 1.2.1の一部機能が正常に動作しなくなる:

« ASTRO-EII/M-V-6、打上成功、X線天文衛星「すざく」命名 | トップページ | 富士通より、企業向け?ネット巡回ソフト »